module.exports = {
    calendar: [
        {
            _id: "borderCut",
            type: "state",
            common: {
                name: "Border cut",
                type: "boolean",
                role: "switch",
                read: true,
                write: true,
                desc: "The mower cut border today",
            },
            native: {},
        },
        {
            _id: "startTime",
            type: "state",
            common: {
                name: "Start time",
                type: "string",
                role: "value.datetime",
                read: true,
                write: true,
                desc: "Hour:Minutes on this day that the Landroid should start mowing",
            },
            native: {},
        },
        {
            _id: "workTime",
            type: "state",
            common: {
                name: "Work time",
                type: "number",
                role: "value.interval",
                unit: "min.",
                read: true,
                write: true,
                desc: "Decides for how long the mower will work on this day",
            },
            native: {},
        },
    ],
    calJson: [
        {
            _id: "calJson",
            type: "state",
            common: {
                name: "week Json",
                type: "string",
                role: "value",
                read: true,
                write: true,
                desc: "set one time shedule via script with a json",
            },
            native: {},
        },
        {
            _id: "calJson_tosend",
            type: "state",
            common: {
                name: "week Json",
                type: "string",
                role: "json",
                read: true,
                write: true,
                desc: "set one time shedule via script with a json",
            },
            native: {},
        },
        {
            _id: "calJson_sendto",
            type: "state",
            common: {
                name: "Send Json to Mower",
                type: "boolean",
                role: "button",
                read: true,
                write: true,
                def: false,
                desc: "send json",
            },
            native: {},
        },
    ],
    oneTimeShedule: [
        {
            _id: "oneTimeWorkTime",
            type: "state",
            common: {
                name: "Work time in minutes",
                type: "number",
                role: "value",
                read: true,
                write: true,
                Unit: "min.",
                desc: "Minutes the mower shoud mow",
            },
            native: {},
        },
        {
            _id: "oneTimeWithBorder",
            type: "state",
            common: {
                name: "With border",
                type: "boolean",
                role: "switch",
                read: true,
                write: true,
                desc: "One time with border",
            },
            native: {},
        },
        {
            _id: "oneTimeStart",
            type: "state",
            common: {
                name: "start one time shedule",
                type: "boolean",
                role: "button",
                read: true,
                write: true,
                Unit: "min.",
                desc: "start one time shedule",
            },
            native: {},
        },
        {
            _id: "oneTimeJson",
            type: "state",
            common: {
                name: "One time Json",
                type: "string",
                role: "value",
                read: true,
                write: true,
                Unit: "min.",
                desc: "set one time shedule via script with a json",
            },
            native: {},
        },
    ],
    partyModus: [
        {
            _id: "partyModus",
            type: "state",
            common: {
                name: "Party mode",
                type: "boolean",
                role: "switch",
                read: true,
                write: true,
                desc: "Disabel mowtimes",
            },
            native: {},
        },
    ],
    firmware_available: [
        {
            _id: "firmware_available",
            type: "state",
            common: {
                name: "Available firmware",
                type: "number",
                role: "meta.version",
                read: true,
                write: false,
                desc: "Available firmware",
            },
            native: {},
        },
        {
            _id: "firmware_available_date",
            type: "state",
            common: {
                name: "Available firmware last update",
                type: "string",
                role: "meta.date",
                read: true,
                write: false,
                desc: "Available firmware last update",
            },
            native: {},
        },
        {
            _id: "firmware_available_all",
            type: "state",
            common: {
                name: "All available firmware",
                type: "string",
                role: "meta.json",
                read: true,
                write: false,
                desc: "All Available firmware",
            },
            native: {},
        },
    ],
    al: [
        {
            _id: "AutoLock",
            type: "state",
            common: {
                name: "AutoLock",
                type: "boolean",
                role: "switch",
                read: true,
                write: true,
                desc: "AutoLock aus/ein",
            },
            native: {},
        },
        {
            _id: "AutoLockTimer",
            type: "state",
            common: {
                name: "AutoLockTimer",
                type: "number",
                role: "value",
                unit: "sec",
                read: true,
                write: true,
                min: 0,
                max: 600,
                steps: 1,
                desc: "Time between last key and lock",
            },
            native: {},
        },
    ],
    module_4g: [
        {
            _id: "longitude",
            type: "state",
            common: {
                name: "longitude",
                type: "number",
                role: "value.gps.longitude",
                read: true,
                write: false,
                desc: "longitude position",
            },
            native: {},
        },
        {
            _id: "latitude",
            type: "state",
            common: {
                name: "latitude",
                type: "number",
                role: "value.gps.latitude",
                read: true,
                write: false,
                desc: "longitude position",
            },
            native: {},
        },
    ],
    module_df: [
        {
            _id: "OLMSwitch_Cutting",
            type: "state",
            common: {
                name: "OLMSwitch_Cutting",
                type: "boolean",
                role: "switch",
                read: true,
                write: true,
                desc: "if active mower turn when hit magnet stripe while cutting",
            },
            native: {},
        },
        {
            _id: "OLMSwitch_FastHoming",
            type: "state",
            common: {
                name: "OLMSwitch_FastHoming",
                type: "boolean",
                role: "switch",
                read: true,
                write: true,
                desc: "if active mower turn when hit magnet stripe while driving home",
            },
            native: {},
        },
    ],
    module_tq: [
        {
            _id: "torque",
            type: "state",
            common: {
                name: "torque",
                type: "number",
                role: "value",
                read: true,
                write: true,
                min: -50,
                max: 50,
                steps: 1,
                desc: "torque control",
            },
            native: {},
        },
    ],
    US: [
        {
            _id: "ACS",
            type: "state",
            common: {
                name: "ACS Module",
                type: "number",
                role: "value",
                read: true,
                write: true,
                desc: "ACS Module",
                states: {
                    0: "disabled",
                    1: "enabled",
                },
            },
            native: {},
        },
        {
            _id: "ACS_Status",
            type: "state",
            common: {
                name: "ACS Module Status",
                type: "string",
                role: "value",
                read: true,
                write: false,
                desc: "ACS Module Status",
            },
            native: {},
        },
    ],
};
